Bug 86283 - [Qt][EFL][GTK]REGRESSION (r116828): fast/dom/collection-null-like-arguments.html, fast/dom/CSSStyleDeclaration/empty-string-property.html fail
Summary: [Qt][EFL][GTK]REGRESSION (r116828): fast/dom/collection-null-like-arguments.h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL: http://build.webkit.org/results/GTK%2...
Keywords: LayoutTestFailure, MakingBotsRed, Regression
Depends on:
Blocks: 79666 86241
  Show dependency treegraph
 
Reported: 2012-05-12 00:57 PDT by Zan Dobersek
Modified: 2012-05-14 01:57 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2012-05-12 00:57:28 PDT
fast/dom/collection-null-like-arguments.html and fast/dom/CSSStyleDeclaration/empty-string-property.html started failing on GTK Linux 64-bit Release between r116826 and r116829 (inclusive).

http://trac.webkit.org/log/trunk?rev=116829&stop_rev=116826&limit=5

http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release/r116825%20(23598)/results.html passed
http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release/r116829%20(23599)/results.html failed
Comment 1 Zan Dobersek 2012-05-12 01:00:42 PDT
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=fast%2Fdom%2FCSSStyleDeclaration%2Fempty-string-property.html%2Cfast%2Fdom%2Fcollection-null-like-arguments.html

The test fails on builders for the ports that use JSC and were able to test this regression range.

I think r116828[1] is to blame, CC-ing author and reviewer.


1: http://trac.webkit.org/changeset/116828/trunk
Comment 2 Thiago Marcos P. Santos 2012-05-12 03:30:06 PDT
Same here for the EFL port. 64-bit debug bot is now red.
Comment 3 Csaba Osztrogonác 2012-05-12 07:42:04 PDT
r116828 is the culprit, these tests fail on Qt too, and they passed on r116827.
Comment 4 Gavin Barraclough 2012-05-12 14:54:33 PDT
Ooops, sorry – investigating.
Comment 5 Csaba Osztrogonác 2012-05-13 23:44:58 PDT
I skipped the new failing tests on Qt - https://trac.webkit.org/changeset/116923/trunk/LayoutTests/platform/qt/Skipped

Please unskip it with the proper fix.
Comment 6 Gavin Barraclough 2012-05-14 00:26:40 PDT
Apologies for the breakage, I think this should be fixed by r116926.
Comment 7 Csaba Osztrogonác 2012-05-14 01:57:32 PDT
Thanks for the fix. I unskipped the tests on Qt - https://trac.webkit.org/changeset/116929.  Tests pass on GTK too.